Smart Accounts SDK

To integrate the HallidayClient for managing your Halliday Smart Account, first install our SDK:

npm install @halliday-sdk/accounts react^18 react-dom^18
yarn add @halliday-sdk/accounts react^18 react-dom^18

To prevent react version conflicts, @halliday-sdk/accounts lists react and react-dom as peerDependencies. A minimum version of react 18 is required to integrate this package smoothly.


The following reference details the SDK functions provided by the HallidayClient class, which can be accessed by the useHallidaySmartAccountWithPrivySigner() hook. For more details, please refer to our HallidayClient integration guide.

A full list of pages is found below: